Bug 926640 - tlock: Does not support aarch64 in f19 and rawhide
Summary: tlock: Does not support aarch64 in f19 and rawhide
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tlock
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: pjp
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: ARM64, F-ExcludeArch-aarch64
TreeView+ depends on / blocked
 
Reported: 2013-03-23 16:26 UTC by Dennis Gilmore
Modified: 2013-11-10 07:29 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-10-23 03:39:58 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2013-03-23 16:26:23 UTC
Support for the ARM 64 bit CPU architecture (aarch64) was introduced in 
autoconf 2.69.  tlock appears to use an earlier version of 
autoconf, preventing its being built.  This can be fixed in of three ways (In order of preference):

1. Work with upstream to migrate the package to autoconf 2.69.

2. Rerun autoconf or autoreconf in %prep or %build prior to running 
configure.

3. Apply the patch at http://ausil.fedorapeople.org/aarch64/tlock/tlock-aarch64.patch
which updates config.guess and config.sub to recognize aarch64.

Comment 1 Fedora Update System 2013-10-12 22:38:10 UTC
tlock-1.5-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tlock-1.5-8.fc20

Comment 2 Fedora Update System 2013-10-12 22:38:20 UTC
tlock-1.5-8.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/tlock-1.5-8.fc18

Comment 3 Fedora Update System 2013-10-12 22:38:28 UTC
tlock-1.5-8.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/tlock-1.5-8.fc19

Comment 4 Fedora Update System 2013-10-12 22:38:38 UTC
tlock-1.5-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/tlock-1.5-8.el6

Comment 5 Fedora Update System 2013-10-12 22:38:48 UTC
tlock-1.5-8.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/tlock-1.5-8.el5

Comment 6 Fedora Update System 2013-10-13 19:52:16 UTC
Package tlock-1.5-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tlock-1.5-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18966/tlock-1.5-8.fc20
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2013-10-23 03:39:58 UTC
tlock-1.5-8.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2013-10-23 03:40:26 UTC
tlock-1.5-8.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2013-10-30 17:48:29 UTC
tlock-1.5-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2013-10-30 17:48:55 UTC
tlock-1.5-8.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2013-11-10 07:29:42 UTC
tlock-1.5-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.